
Redmine - Defect #3496

"Assign To" filter on "View all issues" page allows to select user which cannot be assigned

2009-06-14 00:49 - Markus Knittig

Status: Closed Start date: 2009-06-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Steps to reproduce:

Go to "Projects"

Click on "View all issues"

Add "Assign To" filter

All registered users are shown, even if they have a role which cannot be assigned to issues.

History

#1 - 2009-06-14 10:37 - Jean-Philippe Lang

Unable to reproduce. On the cross-project issue list, users who belongs to the current user's projects are shown, not all registered users.

#2 - 2009-06-14 11:57 - Markus Knittig

Jean-Philippe Lang wrote:

Unable to reproduce. On the cross-project issue list, users who belongs to the current user's projects are shown, not all registered users.

 Your right, but a user who cannot be assigned to an issue should still not be shown in the "Assign To" filter. That makes no sense...

#3 - 2009-06-15 04:46 - Felix Dominguez

I was able to reproduce with revision 2791 of the trunk.

I'm looking into it.

#4 - 2013-03-17 14:02 - Anonymous

I cannot reproduce this in Redmine 2.2.3. First off, there is no "Assign To" filter. So I'll assume that this was an older name for "Assignee". I added a

new test user to my tracker who is not a member of any project. It was then not possible to select that user in the "Assignee" field.

#5 - 2013-03-17 16:08 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Cant reproduce

I'm also not able to reproduce this.

Please reopen this issue if this is still reproduce able in the current releases.
